import storage from 'store'
import { TOP_WELL_CHOOSEN } from '../mutation-types'

const topWellChoosen = {
    state: {
        wellRecord: undefined
    },
    mutations: {
        [TOP_WELL_CHOOSEN]: (state, payload) => {
            state.wellRecord = payload
            storage.set(TOP_WELL_CHOOSEN, payload)
        }
    }
}

export default topWellChoosen