import {
  getAction,
  deleteAction,
  putAction,
  postAction
} from '@/api/manageForWarn'
//const getNewWarnHistory = (params) => getAction('/newWarn/warnHistory/page', params)
const getNewWarnHistory = (params) => getAction('/newWarn/warnHistory/page_new', params)
const getNewWarnHistoryNJ = (params) => getAction('/newWarn/warnHistory/getNjWarningPage', params)
const getNewWarnHistoryBY = (params) => getAction('/newWarn/warnHistory/getByWarningPage', params)
const getNewWarnHistoryZC = (params) => getAction('/newWarn/warnHistory/getZcWarningPage', params)
const getNewWarnHistoryGZ = (params) => getAction('/newWarn/warnHistory/getGzWarningPage', params)


const getWorkCondition = (params) => getAction('/newWarn/workCondition/one', params)

const saveWorkCondition = (params) => postAction('/newWarn/workCondition/save', params)

const getWarningJhPage = (params) => getAction('/newWarn/warningJh/page', params)

const getWarningJhAll = () => getAction('/newWarn/warningJh/list')

const warningJhDel = (params) => getAction('/newWarn/warningJh/del', params)

const saveWarningJh = (params) => postAction('/newWarn/warningJh/save', params)

const delWarningJh = (params) => getAction('/newWarn/warningJh/del', params)

const gettest = (params) => getAction('/newWarn/tabQi/testGet', params)

// const getWarnHisCount = (params) => getAction('/newWarn/warnHistory/getWarnHisCount', params)
const getWarnHisCount = (params) => getAction('/newWarn/warnHistory/getWarnHisCount_new', params)
const getGzWarning = (params) => getAction('/newWarn/warnHistory/getGzWarning', params)


const groupSelct = (params) => getAction('/newWarn/warnHistory/groupSelct', params)

const groupData = () => getAction('/newWarn/warnHistory/groupData')

const getPageCount = (params) => getAction('/newWarn/warnHistory/pageCount', params)
const getPageNewCount = (params) => getAction('/newWarn/warnHistory/pageNewCount', params)


const setOperatingCondition = (params) => postAction('/newWarn/OperatingConditionThreshold/save', params)
const getOperatingCondition = (params) => getAction('/newWarn/OperatingConditionThreshold/getByJh', params)
const getOperatingConditionList = (params) => getAction('/newWarn/OperatingConditionThreshold/page', params)
const getWorkLog = (params) => getAction('/newWarn/workLog/page', params)
const addRecalculate = (params) => postAction('/newWarn/workLog/save', params)
const doRecalculate = (params) => postAction('/newWarn/workLog/calc', params)

const getWarnCount = (params) => getAction('/newWarn/warnHistory/getWarnCount', params)
export default {
  getNewWarnHistory,
  getWorkCondition,
  saveWorkCondition,
  getWarningJhPage,
  warningJhDel,
  saveWarningJh,
  getWarningJhAll,
  delWarningJh,
  gettest,
  getWarnHisCount,
  groupSelct,
  groupData,
  getPageCount,
  getOperatingCondition,
  setOperatingCondition,
  getOperatingConditionList,
  getWorkLog,
  addRecalculate,
  doRecalculate,
  getGzWarning,
  getNewWarnHistoryNJ,
  getNewWarnHistoryBY,
  getNewWarnHistoryZC,
  getNewWarnHistoryGZ,
  getPageNewCount,
  getWarnCount
}