function realFields () {
  return [
    { unit: '', key: 'JS', title: 'JS' },
    { unit: 'm', key: '[实测井深(M)]', title: '[实测井深(m)]' },
    { unit: 'min/m', key: '[钻时(MIN/M)]', title: '[钻时(min/m)]' },
    { unit: 'rpm', key: '[转速(RPM)]', title: '[转速(rpm)]' },
    { unit: 'kN', key: '[钻压(KN)]', title: '[钻压(kN)]' },
    { unit: 'kN', key: '[大钩负荷(KN)]', title: '[大钩负荷(kN)]' },
    { unit: 'MPa', key: '[套压(MPa)]', title: '[套压(MPa)]' },
    { unit: 'MPa', key: '[立压(MPa)]', title: '[立压(MPa)]' },
    { unit: 'KN.m', key: '[扭矩(KN.m)]', title: '[扭矩(KN.m)]' },
    { unit: 'spm', key: '[泵冲1(SPM)]', title: '[泵冲1(spm)]' },
    { unit: 'spm', key: '[泵冲2(SPM)]', title: '[泵冲2(spm)]' },
    { unit: 'm3', key: '[一号池体积(m3)]', title: '[一号池体积(m3)]' },
    { unit: 'm3', key: '[二号池体积(m3)]', title: '[二号池体积(m3)]' },
    { unit: 'm3', key: '[三号池体积(m3)]', title: '[三号池体积(m3)]' },
    { unit: 'm3', key: '[四号池体积(m3)]', title: '[四号池体积(m3)]' },
    { unit: 'm3', key: '[五号池体积(m3)]', title: '[五号池体积(m3)]' },
    { unit: 'm3', key: '[总体积(m3)]', title: '[总体积(m3)]' },
    { unit: '%', key: '[体积变化量(%)]', title: '[体积变化量(%)]' },
    { unit: 'degC', key: '[入口温度(degC)]', title: '[入口温度(degC)]' },
    { unit: 'degC', key: '[出口温度(degC)]', title: '[出口温度(degC)]' },
    { unit: 'ms', key: '[入口电导(ms)]', title: '[入口电导(ms)]' },
    { unit: 'ms', key: '[出口电导(ms)]', title: '[出口电导(ms)]' },
    { unit: 'g/cm3', key: '[入口密度(g/cm3)]', title: '[入口密度(g/cm3)]' },
    { unit: 'g/cm3', key: '[出口密度(g/cm3)]', title: '[出口密度(g/cm3)]' },
    { unit: 'L/min', key: '[入口流量(1/min)]', title: '[入口流量(L/min)]' },
    { unit: '%', key: '[出口流量(%)]', title: '[出口流量(%)]' },
    { unit: 'L/min', key: '[出口流量(l/min)]', title: '[出口流量(L/min)]' },
    { unit: '', key: '[D指数]', title: '[D指数]' },
    { unit: '', key: '[DC指数]', title: '[DC指数]' },
    { unit: '', key: '[循环当量密度]', title: '[循环当量密度]' },
    { unit: '', key: '[压力梯度]', title: '[压力梯度]' },
    { unit: '', key: '[破裂梯度]', title: '[破裂梯度]' },
    { unit: 'm', key: '[迟到井深(m)]', title: '[迟到井深(m)]' },
    { unit: '%', key: '[总烃(%)]', title: '[总烃(%)]' },
    { unit: '%', key: '[C1(%)]', title: '[C1(%)]' },
    { unit: '%', key: '[C2(%)]', title: '[C2(%)]' },
    { unit: '%', key: '[C3(%)]', title: '[C3(%)]' },
    { unit: '%', key: '[iC4(%)]', title: '[iC4(%)]' },
    { unit: '%', key: '[nC4(%)]', title: '[nC4(%)]' },
    { unit: '%', key: '[iC5(%)]', title: '[iC5(%)]' },
    { unit: '%', key: '[nC5(%)]', title: '[nC5(%)]' },
    { unit: '%', key: '[Co2(%)]', title: '[Co2(%)]' },
    { unit: '%', key: '[H(%)]', title: '[H(%)]' },
    { unit: '%', key: '[一号H2s(%)]', title: '[一号H2s(%)]' },
    { unit: '%', key: '[二号H2s(%)]', title: '[二号H2s(%)]' },
    { unit: '%', key: '[三号H2s(%)]', title: '[三号H2s(%)]' },
    { unit: '', key: '[湿度比]', title: '[湿度比]' },
    { unit: '', key: '[平衡比]', title: '[平衡比]' },
    { unit: '', key: '[特性比]', title: '[特性比]' },
    { unit: 'm', key: '[垂直井深(m)]', title: '[垂直井深(m)]' },
    { unit: 'm', key: '[钻头位置(m)]', title: '[钻头位置(m)]' },
    { unit: 'm', key: '[大钩高度(m)]', title: '[大钩高度(m)]' },
    { unit: 'spm', key: '[泵冲3(SPM)]', title: '[泵冲3(spm)]' },
    { unit: '', key: '[Temp1]', title: '[Temp1]' },
    { unit: '', key: '[Temp2]', title: '[Temp2]' },
    { unit: '', key: '[Temp3]', title: '[Temp3]' },
    { unit: '', key: '[Temp4]', title: '[Temp4]' },
    { unit: '', key: '[Temp5]', title: '[Temp5]' },
    { unit: '', key: '[Temp6]', title: '[Temp6]' },
    { unit: '', key: '[Temp7]', title: '[Temp7]' },
    { unit: '', key: '[Temp8]', title: '[Temp8]' },
    { unit: '', key: '[Temp9]', title: '[Temp9]' },
    { unit: '', key: '[Temp10]', title: '[Temp10]' },
    { unit: '', key: '[Temp11]', title: '[Temp11]' },
    { unit: '', key: '[Temp12]', title: '[Temp12]' },
    { unit: '', key: '[Temp13]', title: '[Temp13]' },
    { unit: '', key: '[Temp14]', title: '[Temp14]' },
    { unit: '', key: '[Temp15]', title: '[Temp15]' },
    { unit: '', key: '[Temp16]', title: '[Temp16]' },
    { unit: '', key: '[Temp17]', title: '[Temp17]' },
    { unit: '', key: '[Temp18]', title: '[Temp18]' },
    { unit: '', key: '[Temp19]', title: '[Temp19]' },
    { unit: '', key: '[Temp20]', title: '[Temp20]' },
    { unit: '', key: '[Temp21]', title: '[Temp21]' },
    { unit: '', key: '[Temp22]', title: '[Temp22]' },
    { unit: '', key: '[Temp23]', title: '[Temp23]' },
    { unit: '', key: '[Temp24]', title: '[Temp24]' }
  ]
}

function newFieldRule (name) {
  return {
    'name': name,
    'analyseType': 1,
    'realField': undefined,
    'monitorTime': 600,
    'continuedTime': 500,
    'beginSec': 3,
    'minSpeed': 0,
    'zdCount': 0,
    'upDownRangeSpeed': 0.00999999977648258,
    'trendType': 1,
    'speed': 1,
    'upDownRangeSpeed1': 0.00999999977648258,
    'fieldHandleType': -1,
    'minTotalNum': 0,
    'upDownRangeTotalNum': 0.00999999977648258,
    'TotalNum': 1,
    'upDownRangeTotalNum1': 0.00999999977648258,
    'Continue': false,
    'continueValue': 0.25,
    'fieldUseable': true,
    'upResetSec': 0,
    'resetParams': false,
    'fzNum': 0,
    'quickDownUpSec': 0,
    'quickDownUpValue': 0.01,
    'maxTotalNum': 0,
    'trendTypeParam': 1,
    'beginValue': 0,
    'endValue': 0.0000999999974737875,
    'mul': 1,
    'bdLtValue': 0.01,
    'isPumpRunJump': false,
    'isPumpRunJumpTime': 0,
    'isPumpStopJump': false,
    'isPumpStopJumpTime': 0,
    'pchx': false,
    'pchxTime': 0,
    'color': '-16776961',
    'quickDownSec': 0,
    'quickDownValue': 0,
    'preconditions': true,
    "preconditionsField": "[实测井深(M)]",
    'doorList': [
      {
        'preconditionMin': 0,
        'preconditionMax': 0,
        'ruleMax': 0,
        'ruleMin': 0,
        'isAmplification': false,
        'amplification': 0,
        'isPercentage': false,
        'percentage': 0
      }]
  }
}

export default {
  realFields,
  newFieldRule
}
